# This file is auto-generated during the composer install
parameters:
    # Determine qui est le maitre de l'identitité =  SQL / LDAP / SSO
    # Si SQL cela veut dire que c'est l'applicatif qui gère les utilisateurs
    # Sinon la source est externe soit via un annuaire soit via des attributs venant d'un SSO
    # Si la source est externe de fait pas de module d'inscription ni de reset de password
    # Et pas de synchronisation vers un annuaire ou vers ePortail
    masteridentity: SQL

    # Mode d'authentification soit SQL / LDAP / CAS / SAML
    # Pour l'instant SQL - CAS - SAML Reste à faire LDAP
    # Attention si le masteridentity est différent de SQL le mode d'authentification est forcement différent de SQL
    # Car aucune synchronisation des password n'est possible
    mode_auth: SQL

    # Mode de registration : none / byuser / byadmin
    # none = désactivation de l'inscription mais reset de password possible
    # byuser = aucune validation par un administrateur, l'utilisateur valide son inscription par lui-même 
    # byadmin = validation de l'inscription par un administrateur, sauf si domaine de messagerie dans la liste blanche
    moderegistration: byadmin 

    # Activation module
    cron_activate: true
    portal_activate: true
    module_activate: false
    page_activate: false
    item_activate: false
    alert_activate: false
    calendar_activate: false
    blog_activate: false
    project_activate: false
    flux_activate: false
    notice_activate: false

    # Mise en page
    weburl: localhost
    alias: ninegate
    libelle_etab: ninegate
    numero_etab: ~
    colormain: 2c3e50                               # Couleur principale
    fontcolorhover: FFFFFF                          # Couleur des polices sur fond de couleur principale
    keyterm: 8                                      # Taille mini du password
    labelniveau01: Département                      # Label singulier du niveau 01 d'organisation
    labelsniveau01: Départements                    # Label pluriel du niveau 01 d'organisation
    iconniveau01: fa-building                       # Icon du niveau 01 d'organisation
    labelsirenniveau01: SIREN                       # Label SIREN
    viewniveau02: true                              # Gérer un niveau 02 d'organisation
    labelniveau02: Service                          # Label singulier du niveau 02 d'organisation
    labelsniveau02: Services                        # Label pluriel du niveau 02 d'organisation
    iconniveau02: fa-sitemap                        # Icon du niveau 02 d'organisation
    labelsiretniveau02: SIRET                       # Label SIRET
   
    mailer_port: '2525'
    mailer_encryption: null
    mailer_authmode: null
    noreply: noreply@ninegate.fr

    websocket_activate: false
    websocket_host: localhost
    websocket_port: 5555
    websocket_portinterne: 5556

    activate_widadminer: false
    activate_widbalado: false
    activate_widdokuwiki: false
    activate_wideconnect: false
    activate_widetherhome: false
    activate_widfluxbb: false
    activate_widgepi: false
    activate_widglpi: false
    activate_widgrr: false
    activate_widkanboard: false
    activate_widlimesurvey: false
    activate_widmindmaps: false
    activate_widmoodle: false
    activate_widnextcloud: false
    activate_widonlyoffice: false
    activate_widopensondage: false
    activate_widphpldapadmin: false
    activate_widpiwik: false
    activate_widroundcube: false
    activate_widsacoche: false
    activate_widwordpress: false
    
    syncenvole_activate: false
    widbalado_activate_syncenvole: false
    widgepi_activate_syncenvole: false
    widnextcloud_activate_syncenvole: false
    widonlyoffice_sync: false
    widpiwik_activate_syncenvole: false
    widsacoche_activate_syncenvole: false
    
    
    
    activate_widsonde: false
    widsonde_url:

    saml_entityid: 'http://discovery'
    saml_logout_url: 'http://localhost:8088/idp/profile/Logout'
    saml_idps_list: ['http://localhost:8088/idp/shibboleth']
    
    ldap_sync: false
    ldap_template: open
    ldap_host: 127.0.0.1
    ldap_port: 389
    ldap_user: cn=admin,o=gouv,c=fr
    ldap_password: ~
    ldap_basedn: o=gouv,c=fr
    ldap_baseuser: 
    ldap_baseniveau01: 
    ldap_baseniveau02: 
    ldap_basegroup:     


# Doctrine Configuration
doctrine:
    dbal:
        default_connection: default
        connections:
            default:
                driver: pdo_mysql
                host: '%database_host%'
                port: '%database_port%'
                dbname: '%database_name%'
                user: '%database_user%'
                password: '%database_password%'
                charset: UTF8
    orm:
        default_entity_manager: default
        entity_managers:
            default:
                connection: default
                mappings:
                    CadolesCoreBundle:  ~
                    CadolesCronBundle: ~
                    CadolesPortalBundle: ~
                    CadolesWebsocketBundle: ~

  